aboutsummaryrefslogtreecommitdiff
path: root/rules/android_application/bundle_deploy.sh_template
diff options
context:
space:
mode:
Diffstat (limited to 'rules/android_application/bundle_deploy.sh_template')
-rw-r--r--rules/android_application/bundle_deploy.sh_template26
1 files changed, 26 insertions, 0 deletions
diff --git a/rules/android_application/bundle_deploy.sh_template b/rules/android_application/bundle_deploy.sh_template
new file mode 100644
index 0000000..37f6d4d
--- /dev/null
+++ b/rules/android_application/bundle_deploy.sh_template
@@ -0,0 +1,26 @@
+#!/bin/bash --posix
+
+bundletool="%bundletool_path%"
+aab="%aab%"
+key="%key%"
+tmp="$(mktemp /tmp/XXXXbundle.apks)"
+
+function cleanup {
+ rm -r "$tmp"
+}
+trap cleanup EXIT
+
+java -jar "$bundletool" build-apks \
+ --bundle="$aab" \
+ --output="$tmp" \
+ --overwrite \
+ --local-testing \
+ --ks="$key" \
+ --ks-pass=pass:android \
+ --ks-key-alias=androiddebugkey \
+ --key-pass=pass:android || exit
+
+java -jar "$bundletool" install-apks \
+ --adb="$(which adb)" \
+ --apks "$tmp" \
+ --modules=_ALL_ || exit